Documentation Index

Fetch the complete documentation index at: https://docs.zilliant.com/llms.txt

Use this file to discover all available pages before exploring further.

Create record details for field

Prev Next
Post
/lookupTables/{id}/records/{recordId}/fields/{fieldName}

Creates new record details in a record and returns basic information about the newly created record details.

Security
HTTP
Type bearer

OAuth access token. For details, read Obtain or refresh an OAuth token.

Path parameters
id
string (base64-encoded URI) Required

Lookup table ID in base64-encoded format.

ExampleaHR0cHM6Ly9teGRldjAzeHR2czdzNHZsMi5oYW5hLm9uZGVtYW5kLmNvbS9Mb29rdXBUYWJsZSM0MjQ2ZmJlYzA5NDg0OGEyYmJhZjJkOTk3ZTE0NDE1ZQ==
recordId
integerRequired

Record ID.

Example1
fieldName
stringRequired

Record field name.

ExampleF_PRICE
Body parameters

Example of request payload as resources.

Array of object
Example{ "type": "PriceRecord", "amountValue": 2.0, "hasCurrency": "http://www.inmindcloud.com/application/application-implementation.owl#SGD", "quantityValue": 2.0, "hasUnitofMeasure": "http://eccides/800/UnitofMeasurement#GRO" }
object
type
string
ExamplePriceRecord
amountValue
number
Example2.0
hasCurrency
string
Examplehttp://www.inmindcloud.com/application/application-implementation.owl#SGD
quantityValue
number
Example2.0
hasUnitofMeasure
string
Examplehttp://eccides/800/UnitofMeasurement#GRO
Responses
200

Returns the list of all record details for a record, including the newly created record details.

[
  {
    "type": "PriceRecord",
    "id": 1,
    "amountValue": 1.0,
    "hasCurrency": "http://www.inmindcloud.com/application/application-implementation.owl#USD",
    "quantityValue": 1.0,
    "hasUnitofMeasure": "http://eccides/800/UnitofMeasurement#EA"
  },
  {
    "type": "PriceRecord",
    "id": 2,
    "amountValue": 2.0,
    "hasCurrency": "http://www.inmindcloud.com/application/application-implementation.owl#SGD",
    "quantityValue": 2.0,
    "hasUnitofMeasure": "http://eccides/800/UnitofMeasurement#GRO"
  }
]
Array of object
object
type
string
ExamplePriceRecord
id
integer
Example1
amountValue
number
Example1.0
hasCurrency
string
Examplehttp://www.inmindcloud.com/application/application-implementation.owl#USD
quantityValue
number
Example1.0
hasUnitofMeasure
string
Examplehttp://eccides/800/UnitofMeasurement#EA